Package org.apache.catalina.tribes.group.interceptors

## Class TwoPhaseCommitInterceptor.MapEntry

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.TwoPhaseCommitInterceptor.MapEntry

- Enclosing class:
    TwoPhaseCommitInterceptor

      public static class TwoPhaseCommitInterceptor.MapEntry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `UniqueId` | `id` |
    `ChannelMessage` | `msg` |
    `long` | `timestamp` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapEntry​(ChannelMessage msg, UniqueId id, long timestamp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `expired​(long now, long expiration)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msg

          public final ChannelMessage msg

    - #### id

          public final UniqueId id

    - #### timestamp

          public final long timestamp

  - ### Constructor Detail

    - #### MapEntry

          public MapEntry​(ChannelMessage msg,
                          UniqueId id,
                          long timestamp)

  - ### Method Detail

    - #### expired

          public boolean expired​(long now,
                                 long expiration)